Last Comment Bug 635544 - rename nsIWidget::DrawOver
: rename nsIWidget::DrawOver
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla12
Assigned To: Benoit Girard (:BenWa)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-19 13:44 PST by Joe Drew (not getting mail)
Modified: 2012-01-22 12:31 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (4.70 KB, patch)
2012-01-21 06:18 PST, Benoit Girard (:BenWa)
roc: review+
Details | Diff | Review

Description Joe Drew (not getting mail) 2011-02-19 13:44:13 PST
Jeff thinks that DrawOver and DrawUnder are not sufficiently descriptive names.

> Renaming DrawOver might also be a good idea. The current name makes you ask
Draw what? Over what?
Comment 1 Benoit Girard (:BenWa) 2012-01-20 12:58:13 PST
Jeff/Joe any idea what that rename should be? I'll post the patch and get this bug closed.
Comment 2 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2012-01-21 00:21:40 PST
There is no DrawUnder.

Maybe DrawOver -> DrawWindowOverlay?
Comment 3 Benoit Girard (:BenWa) 2012-01-21 06:18:28 PST
Created attachment 590463 [details] [diff] [review]
patch
Comment 4 Mozilla RelEng Bot 2012-01-21 10:00:58 PST
Try run for 43135679b839 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=43135679b839
Results (out of 4 total builds):
    success: 4
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/b56girard@gmail.com-43135679b839
Comment 6 Ed Morley [:emorley] 2012-01-22 12:31:12 PST
https://hg.mozilla.org/mozilla-central/rev/40bc6b9b09d1

Note You need to log in before you can comment on or make changes to this bug.